[tool.poetry]
name = "imagerec"
version = "0.12.0.dev"
description = "Generate section-level image suggestions for Wikipedias from aligned article sections"
authors = [
    "Muniza Aslam <maslam-ctr@wikimedia.org>",
]
maintainers = [
    "Cormac Parle <cparle@wikimedia.org>",
    "Marco Fossati <mfossati@wikimedia.org>",
    "Matthias Mullie <mmullie@wikimedia.org>",
    "Xabriel Collazo <xcollazo@wikimedia.org>",
]
packages = [
    { include = "imagerec" },
]
# Resource files
include = [
    "*.json",
]

[tool.poetry.scripts]
"imagerec_article_images.py" = "imagerec.article_images:main"
"imagerec_recommendation.py" = "imagerec.recommendation:main"

[tool.poetry.dependencies]
# Python is installed via conda. This is here just to make `dev.dependencies` happy
python = ">=3.10"

[tool.poetry.group.dev.dependencies]
flake8 = "^6.0.0"
black = "^23.1.0"
pre-commit = "^3.0.4"
isort = "^5.12.0"
mypy = "^0.991"
pytest = "^7.2.1"
pytest-cov="^4.0.0"
ipdb = "^0.13.13"

[tool.black]
line-length = 88
skip-string-normalization = true
include = '\.pyi?$'
exclude = '''
/(
    \.git
  | \.hg
  | \.mypy_cache
  | \.tox
  | \.venv
  | _build
  | build
  | dist
  | tests/toml-test
)/
'''

[tool.isort]
profile = "black"
lines_after_imports = 2
lines_between_types = 1
line_length = 88
combine_as_imports = true

[tool.mypy]
strict_optional = true
warn_unused_configs = true
disallow_untyped_defs = true
exclude = ["airflow"]

[tool.autoflake]
in-place = true
recursive = true
remove-all-unused-imports = true
remove-unused-variables = true

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
